%define version 0.4.11
%define release %mkrel 7

Summary:	Password manager for GNOME 2
Name:		revelation
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://oss.codepoet.no/revelation/
Source:		ftp://oss.codepoet.no/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name.png
Patch0:		revelation-fix-desktop-entry.patch
Patch1:		revelation_ui.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python-devel
BuildRequires:	gnome-python-extras
BuildRequires:	gnome-python-desktop
BuildRequires:	gnome-python-gconf
BuildRequires:	gnome-python-gnomevfs
BuildRequires:	gnome-python-applet
BuildRequires:	cracklib-devel
BuildRequires:	pycrypto >= 1.9
BuildRequires:	gnome-panel-devel >= 2.9.4
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-applet
Requires:	python-libxml2
Requires:	pycrypto >= 1.9
Requires:	pygtk2.0 >= 2.3.91
Requires(post):	desktop-file-utils shared-mime-info
Requires(postun):desktop-file-utils shared-mime-info

%description
Revelation is a password manager for the GNOME 2 desktop, released under
the GNU GPL license. It organizes accounts in a tree structure, and
stores them as AES-encrypted XML files.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
sed -i -e 's/-Wl --export-dynamic/-Wl,--export-dynamic/' -e "s/-lcrack/-lcrack -lpython%{py_ver}/" src/wrap/crack/Makefile.*

%build
%configure2_5x \
	--disable-mime-update \
	--disable-desktop-update

%make WARN_CFLAGS=""

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true
%{__rm} -f %buildroot%{_libdir}/python%pyver/site-packages/%name/*.pyc

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icons
#install -m 644 -D pixmaps/revelation.png %{buildroot}%{_liconsdir}/%{name}.png
#convert -geometry 32x32 pixmaps/revelation.png %{buildroot}%{_iconsdir}/%{name}.png
#install -m 644 -D pixmaps/revelation-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png
cp %SOURCE1 %buildroot/%{_datadir}/pixmaps
%find_lang %name

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %name
%update_desktop_database
%update_mime_database
%update_menus
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%clean_mime_database
%clean_desktop_database
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{py_platsitedir}/%{name}
%{_libexecdir}/bonobo/servers/GNOME_RevelationApplet.server
%{_libexecdir}/revelation-applet
%dir %{_datadir}/icons/hicolor/
%{_datadir}/icons/hicolor/*
%{_datadir}/mime/packages/%name.xml
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.4.11-7mdv2011.0
+ Revision: 677909
- fix build
- br intltool
- rebuild to add gconftool as req

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 0.4.11-6mdv2011.0
+ Revision: 444850
- fix broken menu generation (bug#53772)

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4.11-5mdv2010.0
+ Revision: 442697
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.11-4mdv2009.1
+ Revision: 319711
- rebuild with python 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.11-3mdv2009.0
+ Revision: 222748
- patch 0: fix 'error: value "0.4.11" for key "Version" in group "Desktop
  Entry" is not a known version'
- buildrequires gnome-python-devel
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 0.4.11-2mdv2007.0
+ Revision: 109548
- bump release

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 0.4.11-1mdv2007.1
+ Revision: 109451
- new version
- new version

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdv2007.1
+ Revision: 107311
- new version

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdv2007.1
+ Revision: 103223
- fix buildrequires
- fix buildrequires
- new version
- update file list
- use more macros

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-3mdv2007.1
+ Revision: 95074
- Import revelation

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-3mdv2007.1
- Rebuild

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-2mdv2007.0
- xdg menu
- fix buildrequires

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdk
- New release 0.4.7

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 0.4.6-2mdk
- fix deps

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdk
- drop patch
- New release 0.4.6
- use mkrel

* Fri Oct 21 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-2mdk
- fix deps

* Tue Aug 09 2005 Abel Cheung <deaddog@mandriva.org> 0.4.4-1mdk
- New release 0.4.4
- Update desktop/mime too
- Patch0: Fix MIME type registration

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-2mdk
- fix buildrequires

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 0.4.2-3mdk
- fix buildrequires

* Tue Jun 28 2005 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdk
- replace prereq tag
- fix buildrequires
- fix URLs

* Tue Mar 22 2005 Jerome Soyer <saispo@mandrake.org> 0.4.2-1mdk
- New release 0.4.2

* Mon Feb 14 2005 Jerome Soyer <saispo@mandrake.org> 0.4.0-2mdk
- fix running & Requires

* Tue Feb 08 2005 Jerome Soyer <saispo@mandrake.org> 0.4.0-1mdk
- New release 0.4.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.3.4-2mdk
- Rebuild for new python

* Tue Sep 28 2004 Jerome Soyer <saispo@mandrake.org> 0.3.4-1mdk
- New release 0.3.4

* Wed Sep 01 2004 Jerome Soyer <saispo@mandrake.org> 0.3.3-1mdk
- New release 0.3.3

* Tue Aug 10 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.3.2-1mdk
- New release 0.3.2

* Mon Aug 09 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.1-1mdk
- New version

* Wed May 05 2004 Abel Cheung <deaddog@deaddog.org> 0.3.0-1mdk
- New version
- Please use UTF-8 in spec, instead of allowing multiple encoding
  inside a spec file!

* Wed Mar 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- remove rpmlint warning
- fix buildrequires

* Tue Mar 02 2004 Abel Cheung <deaddog@deaddog.org> 0.2.1-1mdk
- New version

* Mon Feb 23 2004 Abel Cheung <deaddog@deaddog.org> 0.2.0-1mdk
- New version

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.1.2-2mdk
- Fix menu

* Thu Feb 05 2004 Abel Cheung <deaddog@deaddog.org> 0.1.2-1mdk
- New version

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.1.0-1mdk
- First Mandrake package

